curl "https://server.smartlead.ai/api/v1/crm/leads/notes/123?api_key=YOUR_KEY"
{
"ok": true,
"data": [
{
"id": 456,
"lead_id": 123,
"note_message": "Spoke with lead, interested in enterprise plan",
"created_by": "John Doe",
"created_at": "2025-12-01T10:30:00.000Z"
}
]
}
{
"message": "Invalid API Key"
}
Lead Notes
Get Lead Notes
Retrieve all notes for a specific lead
GET
/
api
/
v1
/
crm
/
leads
/
notes
/
{id}
curl "https://server.smartlead.ai/api/v1/crm/leads/notes/123?api_key=YOUR_KEY"
{
"ok": true,
"data": [
{
"id": 456,
"lead_id": 123,
"note_message": "Spoke with lead, interested in enterprise plan",
"created_by": "John Doe",
"created_at": "2025-12-01T10:30:00.000Z"
}
]
}
{
"message": "Invalid API Key"
}
Path Parameters
number
required
The lead ID to retrieve notes for
curl "https://server.smartlead.ai/api/v1/crm/leads/notes/123?api_key=YOUR_KEY"
Response Codes
Success
Request successful
Bad Request
Invalid request parameters or malformed request body
Unauthorized
Invalid or missing API key
Validation Error
Request validation failed. Check parameter types and constraints.
{
"ok": true,
"data": [
{
"id": 456,
"lead_id": 123,
"note_message": "Spoke with lead, interested in enterprise plan",
"created_by": "John Doe",
"created_at": "2025-12-01T10:30:00.000Z"
}
]
}
{
"message": "Invalid API Key"
}
